## netmon 0.0.1-1

=== debian/changelog ===
netmon (0.0.1-1) stable; urgency=low

  initial release

 -- spag <maemo@golwen.net>  Wed, 10 Feb 2010 14:30:30 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/netmon" install
	mkdir -p "$(CURDIR)/debian/netmon"

#	mkdir -p "$(CURDIR)/debian/netmon/usr/share/applications/hildon/"
	cp -a "src/usr/share/applications/hildon/netmon.desktop" "$(CURDIR)/debian/netmon/usr/share/applications/hildon/netmon.desktop"
	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/lib/"
	cp -a "src/opt/netmon/lib/gn_battery.py" "$(CURDIR)/debian/netmon/opt/netmon/lib/gn_battery.py"
	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/lib/"
	cp -a "src/opt/netmon/lib/gn_cellinfo.py" "$(CURDIR)/debian/netmon/opt/netmon/lib/gn_cellinfo.py"
	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/lib/"
	cp -a "src/opt/netmon/lib/netmon.py" "$(CURDIR)/debian/netmon/opt/netmon/lib/netmon.py"
	mkdir -p "$(CURDIR)/debian/netmon/usr/share/icons/hicolor/scalable/hildon/"
	cp -a "src/usr/share/icons/hicolor/scalable/hildon/netmon.png" "$(CURDIR)/debian/netmon/usr/share/icons/hicolor/scalable/hildon/netmon.png"
	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
	cp -a "src/opt/netmon/bin/netmon" "$(CURDIR)/debian/netmon/opt/netmon/bin/netmon"
	mkdir -p "$(CURDIR)/debian/netmon/usr/share/icons/hicolor/48x48/hildon/"
	cp -a "src/usr/share/icons/hicolor/48x48/hildon/netmon.png" "$(CURDIR)/debian/netmon/usr/share/icons/hicolor/48x48/hildon/netmon.png"

	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## netmon wce-2.6

=== Makefile ===
CC=gcc
PREFIX=$(DESTDIR)/usr
GTKFLAGS=gtk+-2.0
CFLAGS=-Wall -pedantic -std=gnu99 -g -I/usr/include `pkg-config --cflags $(GTKFLAGS)`
LDFLAGS=-Wall -s -Os `pkg-config --libs $(GTKFLAGS)` -liw
SYMLINK=netmon_wpoll

all : netmon_wce

netmon_wce : netmon_wce.o
	$(CC) -o $@ $^ $(LDFLAGS)
	-ln -sf $@ $(SYMLINK)
	xgettext --keyword="_" netmon_wce.c -o po/netmon_wce.pot
	for i in po/*.po ; do \
		msgfmt $$i -o $${i%po}gmo ; \
	done

netmon_wce.o : netmon_wce.c
	$(CC) -o $@ $(CFLAGS) -c $^

install :
	install -d -m 0755 $(PREFIX)/bin
	install -m 0755 netmon_wce $(PREFIX)/bin
	-cp -af $(SYMLINK) $(PREFIX)/bin
	for j in po/*gmo ; do \
		k=$${j#*/} ; \
		install -d -m 0755 $(PREFIX)/share/locale/$${k%.gmo}/LC_MESSAGES ; \
		install -m 0644 $$j $(PREFIX)/share/locale/$${k%.gmo}/LC_MESSAGES/netmon_wce.mo ; \
	done
	@echo install complete

uninstall :
	rm -f $(PREFIX)/bin/netmon_w*
	for j in po/*gmo ; do \
		k=$${j#*/} ; \
		rm -f $(PREFIX)/share/locale/$${k%.gmo}/LC_MESSAGES/netmon_wce.mo ; \
	done
	@echo uninstall complete

clean :
	-rm -f *.o netmon_wce netmon_wpoll po/*.gmo

## netmon 0.0.1-2

=== debian/changelog ===
netmon (0.0.1-2) stable; urgency=low

  repackaging

 -- spag <maemo@golwen.net>  Wed, 10 Feb 2010 15:12:56 +0000

=== debian/control ===
Source: netmon
Section: user/utilities
Priority: extra
Maintainer: spag <maemo@golwen.net>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: netmon
Architecture: all
Depends: python2.5, python-dbus, python2.5-gtk2
Description: Very simple Net Monitor app for maemo.
 Shows Cell ID, LAC, Network Code, etc.
 This software is in a very, very alpha atate!
XSBC-Bugtracker: XSBC-Bugtracker: http://bugs.maemo.org
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAACa1JREFUaN7tmX1wVeURxn97cvNFgEASPCcQ
 QENliHwIotIyarVWRepMIQy1oy22tn5NqVMVWmd0hlGq1UodO2pHrVaUikXnpoOO0+qgRUTBWo0g
 ipaifHuCkISEJJDcnKd/vOfCJSbkIjh1Orz/JOfc+767z+6z++7uhePr+Dq+/r9WgLo8R/8jPaIv
 vilABKg4QNb1O/6XAKgnZQOUF6BCn6hHud6hjwf0HQzcAJTHYAhQToCo67rlGKwQLy0DnygRg/KA
 bwLTDTzDegcQYvhEhcBtwPeBvBADNByYBir8kplzMjDLJ0qEeJFQJWg+2OlhNgAyfJAPWgbs8IkM
 bBxQIsy+LM1jBXOAr4ENcbrYarBP6IbKPQIAyxMaIXg9xNoNSoErcafsO1zAHy3vBfWGjTS40HdK
 h0ATWElP8rojdL5hgWGfxIDKQGOBVSEWOZ5qkI/yurr1SACFsWifaGgQ8x60U/BP0OlAjqAJaBcq
 yfBSzwB8p8AwoFnos/h1BLQB5hMhONXgYYNJ3SieCNDoAC3w0d4AySd6LUCXBqisayYLUJFh9wI3
 uv9JGKTA9hnCUAewzbATfaLcXikU4/OEMrEOi7n/aZyBzgX2CL2ZVt4Fv/oCi0HrQDcZFMU8Pgv4
 i2C1T3QtcCCThViL0J1gVwFDQrwUaAtQLugjTI5aSliWQewBVQa7wFrizYMNNQLtAeprcDqOq5FP
 dMCtBhtAM50ZrBt6MwJ4MIhBpL1gztsCRsffbRHKAyvCvd9mMAbonyUAVYFVCvUPHPKJYO8BrcBI
 4EJgIxClLRmge4CA2GLdLHOwzAOb4xOVHbxPrNGwz4CpAVFC2E6whKEgzVDBRKAsGwAR2EZgrWH1
 8ec5QMr91RbQahdYB/g/APhJbOXe0qyAEQbnd2FuCLwFpMxlO4GZYVFsrLWg3VmmUSSUUpx7hfKB
 goPCrEOHZBt9CyjMQvmMMLPZ3YiNhCHkyZ2X1k2GpejhDvK6l2JmmASFho2MqVMYB5UdGlA2Sqgg
 2/TpwOus7qTWYRgE5uIhCB0gDmccr2dXy8zl4WVAA9BuB2mQuZpiV2e1HHir74ZacRq3JuBd4KMA
 pQ1JtgAMGC60FdgLSuCs2yTUKfd5ASg3wyRvgJqO5BYWejzjKeNMIbQf6BTKDzGBNhsME+rTK4A4
 nW01V4sUhXgdYP8GVRqWa2ggcArY8PTeEHsHLDwQPr0SSAAZAGwAcIpgeGygEhfMttuV8zZMLpW2
 ZnGRWfrmzckImu1gA4E8sB2gl4E9uFs2vfWyg9myRxAxme1ZsI8y9raAthu2ug5PhvWJy4eWmBGe
 OZ2ULYVOFPpYqDm22WYgknvfDrYJGKQ4mAN3mdUKfTcj5X8uoNLpUujKOiyV8XERWD9ga4ByQaOA
 7Ya1xsbcKDQU6JsFAFmcEpsMOmNEjaD/ABPq8NpB7wBnGDYyxA40I3V4zwGnAR/i9nTGOWefO4MF
 IV55Hd5en4g6ty8XuEJQj7vJi8HGA+tjowHsNSxP7j7KKguZQa6wjA0WGeTEbl/rhBF0aYQIsdoQ
 qwKmg70P/Bl0GVAZYnPTtVNGV9cHqDS0MMSa4jSdcMorzZoEKCerWkjOtU+BnWUQ52pT7L6JscDt
 oF8Ar2XurcPL7FtLQWPl3v81xBq7NC5pau0Bfi7sqdjbowWjHBNMYCVCPwB7SmhTttVom3Ml/eLX
 jS5VMsWwSSEeIV5TiHX4XeIqw0r73JMV+ygvo1T/XEMTYrvqsM4A9QX9ylAr2Jo6TObirAxosWy7
 wQAV+eiFAK0IXNokQLkBqgpQUTadVoB+GaCOAK0PUEU2zY5r6qMqn6g8490lAdocoHOzbph813GN
 8YkuiCcDh4xU/B4OSdPHJxroo6d9tM4n2ukTXdq7zIjuvOQTlTk9nOH83gDE1vvCbWL8/fEBUW2A
 ngnQmwF6PDiCWqnnAVv3eiS661O7mRZkKzQBmiLYGtdR/4o7uL50GQhkOaXoVY+splSq6fmzKHnw
 /xYo2Id9uw57aRfkh/BqG3wsOL/cOq2nc6Oaw597uJXoTXGrBiBHNVwM3CqY5NoN1gJ3SDwLqG1p
 Dnc9umD8kLKtY2dNeeik/Pz2ylRHztSX3rrkg1v++MCkDQ0VSdUwGFgneB6xwKqpVdLJiJKUmzEn
 7vietWpuP2oAGes3wFyJFRi/NaMTOBNYYsaQKMl928PBA26+/NY/daTyTmhuLX6xZsUlzWMr32mc
 +o2lZw/3P/HnP3n3/eSSooN+wKVmnABckB5ZmTENmO1qLpLZUu2wAKwaohomS8w1uAe4zavGNftJ
 EjIeNJhjxsLBpdv6eQmdfMejd81b9OI1D7V0FN6f76UWrXms/PHRlWsXVgzaMoq+rFU9GDwtmKoa
 Blo1DaohFzgHWCqYaWSfOXqPAXG9GQ0YD3gznPIANoOUwbWCYVZNw4Il84p2N5bqp1N/f8rs6rtK
 BvXb1acgr42yH+96wqbrD08su7qq47NEwlzTuygumyfHx/WLg/2JI51d9k4hY4Jgr1fNltjyxRg3
 x1lFiALVcmcwYV7phm1Vq+6//oqxN8ycv6767MX7PC8qPDEgOO2qrSu27x567cPP3bRq9oy7IeIt
 YCeuXHkBMQwjAJZLHNEEtlcAJlJdAA0Ebj5kXtLMg8DI51d9b8v5p/1tWmF+60k5XuqxM0etLAFu
 Xfa78e9PvHrryeu3jKnAwCAP40nEuUqSi3EZ8LZV0xIlj7EHZLwK/FA1jLFq1lk1m9Jlk5IU49G4
 aPHVQW5O+8WTxyxfc9LgDc1fv2VlbX9Y0wRJvWIflOTWf1gxaPNz6zePm0kCFJGHWIwxB1FkMMtN
 9bKcbRxJDJi401wVel+UZEJGiq0QXIfB9l1Di4OSHeOW/Pqi+ZOqXr935e3nDWyB9lIooJWzEfTr
 0/R22/7CU/Fc2WvGZjcB5GcCPy4Yj3gd1gNREmwG26IkF5nxdzNWqob6uFAvMqMEsfSZf1xRsbOh
 vLl+d8kjJf3rr5s8evnMuoVlhX3yW6fRzgA8FrXtL3wyx+u8OCO/7AVeBuYZ7JJYfaDxtGPkAW8G
 KAneDJYBFRKPAPUS+4EVGFNsOtN27B56TipKLC/90e5rgMuB9xR5nXv2DmiWuNGmMat2y7gGz4s2
 tuwpYn9HQadV0w68YsanQK03g20Z5fueY/rryeFKiYBoRED0bkB0Xpddd4PmZr4pQd8BLclHQ7qT
 kRnAUU22c6aj/0m2CDgDeCPE2l2jYghVGbQJ21QXi/FREWiUYR+G8fT7K/absnrsMY62TD++vqrr
 v3QX+wmdEQrKAAAAAElFTkSuQmCC

## netmon 0.0.1-3

=== debian/changelog ===
netmon (0.0.1-3) stable; urgency=low

  fixed bugs in package description

 -- spag <maemo@golwen.net>  Wed, 10 Feb 2010 19:57:02 +0000

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,8 @@
 Package: netmon
 Architecture: all
 Depends: python2.5, python-dbus, python2.5-gtk2
-Description: Very simple Net Monitor app for maemo.
- Shows Cell ID, LAC, Network Code, etc.
- This software is in a very, very alpha atate!
+Description: Very simple Net Monitor application for maemo.
+ Shows cell ID, LAC, network code, supportet wireless services, battery status etc.
 XSBC-Bugtracker: XSBC-Bugtracker: http://bugs.maemo.org
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A

## netmon 0.0.1-4

=== debian/changelog ===
netmon (0.0.1-4) stable; urgency=low

  fixed some minor bugs and failed dependencies

 -- spag <maemo@golwen.net>  Wed, 10 Feb 2010 22:29:03 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: netmon
 Architecture: all
-Depends: python2.5, python-dbus, python2.5-gtk2
+Depends: python2.5, python-dbus, python2.5-gtk2, python-hildon
 Description: Very simple Net Monitor application for maemo.
  Shows cell ID, LAC, network code, supportet wireless services, battery status etc.
 XSBC-Bugtracker: XSBC-Bugtracker: http://bugs.maemo.org

## netmon 0.0.2-1

=== debian/changelog ===
netmon (0.0.2-1) stable; urgency=low

  Complete rewrite

 -- spag <maemo@golwen.net>  Fri, 12 Feb 2010 11:59:56 +0000

=== debian/control ===
Source: netmon
Section: user/utilities
Priority: extra
Maintainer: spag <maemo@golwen.net>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: netmon
Architecture: all
Depends: python2.5, python-dbus, python2.5-gtk2, python-hildon
Description: NetMon Cellular Netwirk Monitor for Maemo.
 Shows Signal Strength, Cell ID, LAC, Network Code, etc.
XSBC-Bugtracker: XSBC-Bugtracker: http://bugs.maemo.org

=== debian/rules ===
--- 
+++ 
@@ -48,14 +48,12 @@
 
 #	mkdir -p "$(CURDIR)/debian/netmon/usr/share/applications/hildon/"
 	cp -a "src/usr/share/applications/hildon/netmon.desktop" "$(CURDIR)/debian/netmon/usr/share/applications/hildon/netmon.desktop"
-	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/lib/"
-	cp -a "src/opt/netmon/lib/gn_battery.py" "$(CURDIR)/debian/netmon/opt/netmon/lib/gn_battery.py"
-	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/lib/"
-	cp -a "src/opt/netmon/lib/gn_cellinfo.py" "$(CURDIR)/debian/netmon/opt/netmon/lib/gn_cellinfo.py"
-	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/lib/"
-	cp -a "src/opt/netmon/lib/netmon.py" "$(CURDIR)/debian/netmon/opt/netmon/lib/netmon.py"
 	mkdir -p "$(CURDIR)/debian/netmon/usr/share/icons/hicolor/scalable/hildon/"
 	cp -a "src/usr/share/icons/hicolor/scalable/hildon/netmon.png" "$(CURDIR)/debian/netmon/usr/share/icons/hicolor/scalable/hildon/netmon.png"
+	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
+	cp -a "src/opt/netmon/bin/gn_battery.py" "$(CURDIR)/debian/netmon/opt/netmon/bin/gn_battery.py"
+	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
+	cp -a "src/opt/netmon/bin/gn_cellinfo.py" "$(CURDIR)/debian/netmon/opt/netmon/bin/gn_cellinfo.py"
 	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
 	cp -a "src/opt/netmon/bin/netmon" "$(CURDIR)/debian/netmon/opt/netmon/bin/netmon"
 	mkdir -p "$(CURDIR)/debian/netmon/usr/share/icons/hicolor/48x48/hildon/"

## netmon 0.0.3-1

=== debian/changelog ===
netmon (0.0.3-1) stable; urgency=low

  Split Cell-ID value to RNC and Cell ID for 3G networks

 -- spag <maemo@golwen.net>  Sat, 13 Feb 2010 12:11:14 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,6 @@
 Package: netmon
 Architecture: all
 Depends: python2.5, python-dbus, python2.5-gtk2, python-hildon
-Description: NetMon Cellular Netwirk Monitor for Maemo.
- Shows Signal Strength, Cell ID, LAC, Network Code, etc.
+Description: NetMon Cellular Network Monitor for Maemo.
+ Shows Signal Strength in dBm, Cell ID, LAC, RNC, Network Code, etc.
 XSBC-Bugtracker: XSBC-Bugtracker: http://bugs.maemo.org

## netmon 0.5-1

=== debian/changelog ===
netmon (0.5-1) stable; urgency=low

  Code rewritten.

 -- Peter Kozak <maemo@golwen.net>  Sat, 12 Jun 2010 18:12:06 +0000

=== debian/control ===
Source: netmon
Section: user/utilities
Priority: extra
Maintainer: Peter Kozak <maemo@golwen.net>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: netmon
Architecture: all
Depends: python2.5, python-dbus, python2.5-gtk2, python-hildon
Description: NetMon Cellular Network Monitor for Maemo.
 Displays Signal Strength in dBm, Cell ID, LAC, RNC, Network Code, etc.
XSBC-Bugtracker: XSBC-Bugtracker: http://bugs.maemo.org

## netmon 0.6-1

=== debian/changelog ===
netmon (0.6-1) stable; urgency=low

  Capacity bar set to 'pulse' when charging. Minor changes in appearance.

 -- Peter Kozak <maemo@golwen.net>  Mon, 14 Jun 2010 00:46:52 +0000

## netmon 0.7-1

=== debian/changelog ===
netmon (0.7-1) stable; urgency=low

  Power saving improved.

 -- Peter Kozak <maemo@golwen.net>  Tue, 15 Jun 2010 20:29:33 +0000

=== debian/control ===
--- 
+++ 
@@ -11,3 +11,50 @@
 Description: NetMon Cellular Network Monitor for Maemo.
  Displays Signal Strength in dBm, Cell ID, LAC, RNC, Network Code, etc.
 XSBC-Bugtracker: XSBC-Bugtracker: http://bugs.maemo.org
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
+ /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAACa1JREFUaN7tmX1wVeURxn97cvNFgEASPCcQ
+ QENliHwIotIyarVWRepMIQy1oy22tn5NqVMVWmd0hlGq1UodO2pHrVaUikXnpoOO0+qgRUTBWo0g
+ ipaifHuCkISEJJDcnKd/vOfCJSbkIjh1Orz/JOfc+767z+6z++7uhePr+Dq+/r9WgLo8R/8jPaIv
+ vilABKg4QNb1O/6XAKgnZQOUF6BCn6hHud6hjwf0HQzcAJTHYAhQToCo67rlGKwQLy0DnygRg/KA
+ bwLTDTzDegcQYvhEhcBtwPeBvBADNByYBir8kplzMjDLJ0qEeJFQJWg+2OlhNgAyfJAPWgbs8IkM
+ bBxQIsy+LM1jBXOAr4ENcbrYarBP6IbKPQIAyxMaIXg9xNoNSoErcafsO1zAHy3vBfWGjTS40HdK
+ h0ATWElP8rojdL5hgWGfxIDKQGOBVSEWOZ5qkI/yurr1SACFsWifaGgQ8x60U/BP0OlAjqAJaBcq
+ yfBSzwB8p8AwoFnos/h1BLQB5hMhONXgYYNJ3SieCNDoAC3w0d4AySd6LUCXBqisayYLUJFh9wI3
+ uv9JGKTA9hnCUAewzbATfaLcXikU4/OEMrEOi7n/aZyBzgX2CL2ZVt4Fv/oCi0HrQDcZFMU8Pgv4
+ i2C1T3QtcCCThViL0J1gVwFDQrwUaAtQLugjTI5aSliWQewBVQa7wFrizYMNNQLtAeprcDqOq5FP
+ dMCtBhtAM50ZrBt6MwJ4MIhBpL1gztsCRsffbRHKAyvCvd9mMAbonyUAVYFVCvUPHPKJYO8BrcBI
+ 4EJgIxClLRmge4CA2GLdLHOwzAOb4xOVHbxPrNGwz4CpAVFC2E6whKEgzVDBRKAsGwAR2EZgrWH1
+ 8ec5QMr91RbQahdYB/g/APhJbOXe0qyAEQbnd2FuCLwFpMxlO4GZYVFsrLWg3VmmUSSUUpx7hfKB
+ goPCrEOHZBt9CyjMQvmMMLPZ3YiNhCHkyZ2X1k2GpejhDvK6l2JmmASFho2MqVMYB5UdGlA2Sqgg
+ 2/TpwOus7qTWYRgE5uIhCB0gDmccr2dXy8zl4WVAA9BuB2mQuZpiV2e1HHir74ZacRq3JuBd4KMA
+ pQ1JtgAMGC60FdgLSuCs2yTUKfd5ASg3wyRvgJqO5BYWejzjKeNMIbQf6BTKDzGBNhsME+rTK4A4
+ nW01V4sUhXgdYP8GVRqWa2ggcArY8PTeEHsHLDwQPr0SSAAZAGwAcIpgeGygEhfMttuV8zZMLpW2
+ ZnGRWfrmzckImu1gA4E8sB2gl4E9uFs2vfWyg9myRxAxme1ZsI8y9raAthu2ug5PhvWJy4eWmBGe
+ OZ2ULYVOFPpYqDm22WYgknvfDrYJGKQ4mAN3mdUKfTcj5X8uoNLpUujKOiyV8XERWD9ga4ByQaOA
+ 7Ya1xsbcKDQU6JsFAFmcEpsMOmNEjaD/ABPq8NpB7wBnGDYyxA40I3V4zwGnAR/i9nTGOWefO4MF
+ IV55Hd5en4g6ty8XuEJQj7vJi8HGA+tjowHsNSxP7j7KKguZQa6wjA0WGeTEbl/rhBF0aYQIsdoQ
+ qwKmg70P/Bl0GVAZYnPTtVNGV9cHqDS0MMSa4jSdcMorzZoEKCerWkjOtU+BnWUQ52pT7L6JscDt
+ oF8Ar2XurcPL7FtLQWPl3v81xBq7NC5pau0Bfi7sqdjbowWjHBNMYCVCPwB7SmhTttVom3Ml/eLX
+ jS5VMsWwSSEeIV5TiHX4XeIqw0r73JMV+ygvo1T/XEMTYrvqsM4A9QX9ylAr2Jo6TObirAxosWy7
+ wQAV+eiFAK0IXNokQLkBqgpQUTadVoB+GaCOAK0PUEU2zY5r6qMqn6g8490lAdocoHOzbph813GN
+ 8YkuiCcDh4xU/B4OSdPHJxroo6d9tM4n2ukTXdq7zIjuvOQTlTk9nOH83gDE1vvCbWL8/fEBUW2A
+ ngnQmwF6PDiCWqnnAVv3eiS661O7mRZkKzQBmiLYGtdR/4o7uL50GQhkOaXoVY+splSq6fmzKHnw
+ /xYo2Id9uw57aRfkh/BqG3wsOL/cOq2nc6Oaw597uJXoTXGrBiBHNVwM3CqY5NoN1gJ3SDwLqG1p
+ Dnc9umD8kLKtY2dNeeik/Pz2ylRHztSX3rrkg1v++MCkDQ0VSdUwGFgneB6xwKqpVdLJiJKUmzEn
+ 7vietWpuP2oAGes3wFyJFRi/NaMTOBNYYsaQKMl928PBA26+/NY/daTyTmhuLX6xZsUlzWMr32mc
+ +o2lZw/3P/HnP3n3/eSSooN+wKVmnABckB5ZmTENmO1qLpLZUu2wAKwaohomS8w1uAe4zavGNftJ
+ EjIeNJhjxsLBpdv6eQmdfMejd81b9OI1D7V0FN6f76UWrXms/PHRlWsXVgzaMoq+rFU9GDwtmKoa
+ Blo1DaohFzgHWCqYaWSfOXqPAXG9GQ0YD3gznPIANoOUwbWCYVZNw4Il84p2N5bqp1N/f8rs6rtK
+ BvXb1acgr42yH+96wqbrD08su7qq47NEwlzTuygumyfHx/WLg/2JI51d9k4hY4Jgr1fNltjyxRg3
+ x1lFiALVcmcwYV7phm1Vq+6//oqxN8ycv6767MX7PC8qPDEgOO2qrSu27x567cPP3bRq9oy7IeIt
+ YCeuXHkBMQwjAJZLHNEEtlcAJlJdAA0Ebj5kXtLMg8DI51d9b8v5p/1tWmF+60k5XuqxM0etLAFu
+ Xfa78e9PvHrryeu3jKnAwCAP40nEuUqSi3EZ8LZV0xIlj7EHZLwK/FA1jLFq1lk1m9Jlk5IU49G4
+ aPHVQW5O+8WTxyxfc9LgDc1fv2VlbX9Y0wRJvWIflOTWf1gxaPNz6zePm0kCFJGHWIwxB1FkMMtN
+ 9bKcbRxJDJi401wVel+UZEJGiq0QXIfB9l1Di4OSHeOW/Pqi+ZOqXr935e3nDWyB9lIooJWzEfTr
+ 0/R22/7CU/Fc2WvGZjcB5GcCPy4Yj3gd1gNREmwG26IkF5nxdzNWqob6uFAvMqMEsfSZf1xRsbOh
+ vLl+d8kjJf3rr5s8evnMuoVlhX3yW6fRzgA8FrXtL3wyx+u8OCO/7AVeBuYZ7JJYfaDxtGPkAW8G
+ KAneDJYBFRKPAPUS+4EVGFNsOtN27B56TipKLC/90e5rgMuB9xR5nXv2DmiWuNGmMat2y7gGz4s2
+ tuwpYn9HQadV0w68YsanQK03g20Z5fueY/rryeFKiYBoRED0bkB0Xpddd4PmZr4pQd8BLclHQ7qT
+ kRnAUU22c6aj/0m2CDgDeCPE2l2jYghVGbQJ21QXi/FREWiUYR+G8fT7K/absnrsMY62TD++vqrr
+ v3QX+wmdEQrKAAAAAElFTkSuQmCC

=== debian/rules ===
--- 
+++ 
@@ -51,11 +51,19 @@
 	mkdir -p "$(CURDIR)/debian/netmon/usr/share/icons/hicolor/scalable/hildon/"
 	cp -a "src/usr/share/icons/hicolor/scalable/hildon/netmon.png" "$(CURDIR)/debian/netmon/usr/share/icons/hicolor/scalable/hildon/netmon.png"
 	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
-	cp -a "src/opt/netmon/bin/gn_battery.py" "$(CURDIR)/debian/netmon/opt/netmon/bin/gn_battery.py"
+	cp -a "src/opt/netmon/bin/battery.py" "$(CURDIR)/debian/netmon/opt/netmon/bin/battery.py"
 	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
-	cp -a "src/opt/netmon/bin/gn_cellinfo.py" "$(CURDIR)/debian/netmon/opt/netmon/bin/gn_cellinfo.py"
+	cp -a "src/opt/netmon/bin/battery.pyo" "$(CURDIR)/debian/netmon/opt/netmon/bin/battery.pyo"
+	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
+	cp -a "src/opt/netmon/bin/cellinfo.py" "$(CURDIR)/debian/netmon/opt/netmon/bin/cellinfo.py"
+	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
+	cp -a "src/opt/netmon/bin/cellinfo.pyo" "$(CURDIR)/debian/netmon/opt/netmon/bin/cellinfo.pyo"
 	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
 	cp -a "src/opt/netmon/bin/netmon" "$(CURDIR)/debian/netmon/opt/netmon/bin/netmon"
+	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
+	cp -a "src/opt/netmon/bin/netmongui.py" "$(CURDIR)/debian/netmon/opt/netmon/bin/netmongui.py"
+	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
+	cp -a "src/opt/netmon/bin/netmongui.pyo" "$(CURDIR)/debian/netmon/opt/netmon/bin/netmongui.pyo"
 	mkdir -p "$(CURDIR)/debian/netmon/usr/share/icons/hicolor/48x48/hildon/"
 	cp -a "src/usr/share/icons/hicolor/48x48/hildon/netmon.png" "$(CURDIR)/debian/netmon/usr/share/icons/hicolor/48x48/hildon/netmon.png"

## netmon 0.8-1

=== debian/changelog ===
netmon (0.8-1) stable; urgency=low

  Networks window added

 -- Peter Kozak <maemo@golwen.net>  Wed, 16 Jun 2010 12:55:17 +0000

=== debian/rules ===
--- 
+++ 
@@ -64,6 +64,10 @@
 	cp -a "src/opt/netmon/bin/netmongui.py" "$(CURDIR)/debian/netmon/opt/netmon/bin/netmongui.py"
 	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
 	cp -a "src/opt/netmon/bin/netmongui.pyo" "$(CURDIR)/debian/netmon/opt/netmon/bin/netmongui.pyo"
+	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
+	cp -a "src/opt/netmon/bin/siminfo.py" "$(CURDIR)/debian/netmon/opt/netmon/bin/siminfo.py"
+	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
+	cp -a "src/opt/netmon/bin/siminfo.pyo" "$(CURDIR)/debian/netmon/opt/netmon/bin/siminfo.pyo"
 	mkdir -p "$(CURDIR)/debian/netmon/usr/share/icons/hicolor/48x48/hildon/"
 	cp -a "src/usr/share/icons/hicolor/48x48/hildon/netmon.png" "$(CURDIR)/debian/netmon/usr/share/icons/hicolor/48x48/hildon/netmon.png"

## netmon 0.9-1

=== debian/changelog ===
netmon (0.9-1) stable; urgency=low

  Stability improved.

 -- Peter Kozak <maemo@golwen.net>  Fri, 18 Jun 2010 09:25:23 +0000

## netmon 0.9-2

=== debian/changelog ===
netmon (0.9-2) fremantle; urgency=low

  * Add missing python-osso dependency.
  * Fix bug tracker link.

 -- Graham Inggs <graham@nerve.org.za>  Sat, 24 Aug 2013 23:11:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: netmon
 Section: user/utilities
 Priority: extra
-Maintainer: Peter Kozak <maemo@golwen.net>
+Maintainer: Graham Inggs <graham@nerve.org.za>
+XSBC-Original-Maintainer: Peter Kozak <maemo@golwen.net>
 Build-Depends: debhelper (>= 5)
 Standards-Version: 3.7.2
 
 Package: netmon
 Architecture: all
-Depends: python2.5, python-dbus, python2.5-gtk2, python-hildon
+Depends: python2.5, python-dbus, python2.5-gtk2, python-hildon, python-osso
 Description: NetMon Cellular Network Monitor for Maemo.
  Displays Signal Strength in dBm, Cell ID, LAC, RNC, Network Code, etc.
-XSBC-Bugtracker: XSBC-Bugtracker: http://bugs.maemo.org
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1326
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
  /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAACa1JREFUaN7tmX1wVeURxn97cvNFgEASPCcQ

=== debian/rules ===
--- 
+++ 
@@ -59,11 +59,19 @@
 	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
 	cp -a "src/opt/netmon/bin/cellinfo.pyo" "$(CURDIR)/debian/netmon/opt/netmon/bin/cellinfo.pyo"
 	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
+	cp -a "src/opt/netmon/bin/helper.py" "$(CURDIR)/debian/netmon/opt/netmon/bin/helper.py"
+	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
+	cp -a "src/opt/netmon/bin/helper.pyo" "$(CURDIR)/debian/netmon/opt/netmon/bin/helper.pyo"
+	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
 	cp -a "src/opt/netmon/bin/netmon" "$(CURDIR)/debian/netmon/opt/netmon/bin/netmon"
 	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
 	cp -a "src/opt/netmon/bin/netmongui.py" "$(CURDIR)/debian/netmon/opt/netmon/bin/netmongui.py"
 	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
 	cp -a "src/opt/netmon/bin/netmongui.pyo" "$(CURDIR)/debian/netmon/opt/netmon/bin/netmongui.pyo"
+	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
+	cp -a "src/opt/netmon/bin/notification.py" "$(CURDIR)/debian/netmon/opt/netmon/bin/notification.py"
+	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
+	cp -a "src/opt/netmon/bin/notification.pyo" "$(CURDIR)/debian/netmon/opt/netmon/bin/notification.pyo"
 	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
 	cp -a "src/opt/netmon/bin/siminfo.py" "$(CURDIR)/debian/netmon/opt/netmon/bin/siminfo.py"
 	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"

## netmon 0.9-3

=== debian/changelog ===
netmon (0.9-3) fremantle; urgency=low

  * src/opt/netmon/bin/netmongui.py line 99: 
    - Fix network_type for no network.
  * Do not install Python optimized byte code (*.pyo) files.
  * Build-depends on python-support and build with dh_pysypport.

 -- Graham Inggs <graham@nerve.org.za>  Thu, 29 Aug 2013 11:11:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,17 @@
 Priority: extra
 Maintainer: Graham Inggs <graham@nerve.org.za>
 XSBC-Original-Maintainer: Peter Kozak <maemo@golwen.net>
-Build-Depends: debhelper (>= 5)
+Build-Depends: debhelper (>= 5), python-support
 Standards-Version: 3.7.2
 
 Package: netmon
 Architecture: all
-Depends: python2.5, python-dbus, python2.5-gtk2, python-hildon, python-osso
+Depends: python-dbus,
+         python-gtk2,
+         python-hildon,
+         python-osso,
+         ${misc:Depends},
+         ${python:Depends}
 Description: NetMon Cellular Network Monitor for Maemo.
  Displays Signal Strength in dBm, Cell ID, LAC, RNC, Network Code, etc.
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1326

=== debian/rules ===
--- 
+++ 
@@ -53,29 +53,29 @@
 	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
 	cp -a "src/opt/netmon/bin/battery.py" "$(CURDIR)/debian/netmon/opt/netmon/bin/battery.py"
 	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
-	cp -a "src/opt/netmon/bin/battery.pyo" "$(CURDIR)/debian/netmon/opt/netmon/bin/battery.pyo"
+#	cp -a "src/opt/netmon/bin/battery.pyo" "$(CURDIR)/debian/netmon/opt/netmon/bin/battery.pyo"
 	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
 	cp -a "src/opt/netmon/bin/cellinfo.py" "$(CURDIR)/debian/netmon/opt/netmon/bin/cellinfo.py"
 	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
-	cp -a "src/opt/netmon/bin/cellinfo.pyo" "$(CURDIR)/debian/netmon/opt/netmon/bin/cellinfo.pyo"
+#	cp -a "src/opt/netmon/bin/cellinfo.pyo" "$(CURDIR)/debian/netmon/opt/netmon/bin/cellinfo.pyo"
 	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
 	cp -a "src/opt/netmon/bin/helper.py" "$(CURDIR)/debian/netmon/opt/netmon/bin/helper.py"
 	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
-	cp -a "src/opt/netmon/bin/helper.pyo" "$(CURDIR)/debian/netmon/opt/netmon/bin/helper.pyo"
+#	cp -a "src/opt/netmon/bin/helper.pyo" "$(CURDIR)/debian/netmon/opt/netmon/bin/helper.pyo"
 	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
 	cp -a "src/opt/netmon/bin/netmon" "$(CURDIR)/debian/netmon/opt/netmon/bin/netmon"
 	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
 	cp -a "src/opt/netmon/bin/netmongui.py" "$(CURDIR)/debian/netmon/opt/netmon/bin/netmongui.py"
 	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
-	cp -a "src/opt/netmon/bin/netmongui.pyo" "$(CURDIR)/debian/netmon/opt/netmon/bin/netmongui.pyo"
+#	cp -a "src/opt/netmon/bin/netmongui.pyo" "$(CURDIR)/debian/netmon/opt/netmon/bin/netmongui.pyo"
 	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
 	cp -a "src/opt/netmon/bin/notification.py" "$(CURDIR)/debian/netmon/opt/netmon/bin/notification.py"
 	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
-	cp -a "src/opt/netmon/bin/notification.pyo" "$(CURDIR)/debian/netmon/opt/netmon/bin/notification.pyo"
+#	cp -a "src/opt/netmon/bin/notification.pyo" "$(CURDIR)/debian/netmon/opt/netmon/bin/notification.pyo"
 	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
 	cp -a "src/opt/netmon/bin/siminfo.py" "$(CURDIR)/debian/netmon/opt/netmon/bin/siminfo.py"
 	mkdir -p "$(CURDIR)/debian/netmon/opt/netmon/bin/"
-	cp -a "src/opt/netmon/bin/siminfo.pyo" "$(CURDIR)/debian/netmon/opt/netmon/bin/siminfo.pyo"
+#	cp -a "src/opt/netmon/bin/siminfo.pyo" "$(CURDIR)/debian/netmon/opt/netmon/bin/siminfo.pyo"
 	mkdir -p "$(CURDIR)/debian/netmon/usr/share/icons/hicolor/48x48/hildon/"
 	cp -a "src/usr/share/icons/hicolor/48x48/hildon/netmon.png" "$(CURDIR)/debian/netmon/usr/share/icons/hicolor/48x48/hildon/netmon.png"
 
@@ -99,7 +99,7 @@
 #	dh_installemacsen
 #	dh_installpam
 #	dh_installmime
-#	dh_python
+	dh_pysupport /opt/netmon/bin
 #	dh_installinit
 #	dh_installcron
 #	dh_installinfo

## netmon 0.9-4

=== debian/changelog ===
netmon (0.9-4) fremantle; urgency=low

  * Switch from dh_installdirs to dh_install.
  * src/opt/netmon/bin/cellinfo.py line 50:
    - Do not attempt to introspect /com/nokia/phone/net object.
  * src/opt/netmon/bin/netmongui.py line 145:
    - Fix typo: 'presece' instead of 'presence'.
  * src/opt/netmon/bin/netmongui.py line 33:
    - Reduce Cell Info display refresh interval from 30s to 10s.
  * Improve stability of Battery Status display
    (src/opt/netmon/bin/netmongui.py):
    - run(): Start measuring refresh interval after update is complete.
    - set_batt_capacity(): Move gtk.gdk.threads_enter() to start of function.
    - main(): Call gobject.threads_init() and  glib.init_threads().

 -- Graham Inggs <graham@nerve.org.za>  Wed, 04 Sep 2013 19:03:49 +0200

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
 Description: NetMon Cellular Network Monitor for Maemo.
  Displays Signal Strength in dBm, Cell ID, LAC, RNC, Network Code, etc.
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1326
+XB-Maemo-Display-Name: NetMon
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
  /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAACa1JREFUaN7tmX1wVeURxn97cvNFgEASPCcQ

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_pysupport /opt/netmon/bin
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
